## ros-indigo-camera-calibration 1.12.23

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(camera_calibration)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  # Unit test of calibrator.py
  catkin_add_nosetests(test/directed.py)

  # Tests simple calibration dataset
  catkin_download_test_data(camera_calibration.tar.gz http://download.ros.org/data/camera_calibration/camera_calibration.tar.gz
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
    MD5 6da43ea314640a4c15dd7a90cbc3aee0
  )

  # Tests multiple checkerboards
  catkin_download_test_data(multi_board_calibration.tar.gz http://download.ros.org/data/camera_calibration/multi_board_calibration.tar.gz
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
    MD5 ddc0f69582d140e33f9d3bfb681956bb
  )
  catkin_add_nosetests(test/multiple_boards.py)
endif()

catkin_install_python(PROGRAMS nodes/cameracalibrator.py
  nodes/cameracheck.py
  scripts/tarfile_calibration.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-camera-calibration (1.12.23-0trusty) trusty; urgency=high

  * camera_checker: Ensure cols + rows are in correct order (#319 <https://github.com/ros-perception/image_pipeline/issues/319>)
    Without this commit, specifying a smaller column than row size lead to
    huge reported errors:
    ```
    $ rosrun camera_calibration cameracheck.py --size 6x7 --square 0.0495
    Linearity RMS Error: 13.545 Pixels      Reprojection RMS Error: 22.766 Pixels
    $ rosrun camera_calibration cameracheck.py --size 7x6 --square 0.0495
    Linearity RMS Error: 0.092 Pixels      Reprojection RMS Error: 0.083 Pixels
    ```
    This commit switches columns and rows around if necessary.
  * Contributors: Martin Günther

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-indigo-camera-calibration (1.12.22-0trusty) trusty; urgency=high

  * Changed flags CV_LOAD_IMAGE_COLOR by IMREAD_COLOR to adapt to Opencv3. (#252 <https://github.com/ros-perception/image_pipeline/issues/252>)
  * Fixed stereo calibration problem with chessboard with the same number of rows and cols by rotating the corners to same direction.
  * Contributors: jbosch

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-indigo-camera-calibration (1.12.21-0trusty) trusty; urgency=high

  * re-add the calibration nodes but now using the Python modules.
    Fixes #298 <https://github.com/ros-perception/image_pipeline/issues/298>
  * Move nodes to Python module.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-indigo-camera-calibration (1.12.20-0trusty) trusty; urgency=high

  * properly save bytes buffer as such
    This is useful for Python 3 and fixes #256 <https://github.com/ros-perception/image_pipeline/issues/256>.
  * Get tests slightly looser.
    OpenCV 3.2 gives slightly different results apparently.
  * Use floor division where necessary. (#247 <https://github.com/ros-perception/image_pipeline/issues/247>)
  * Fix and Improve Camera Calibration Checker Node (#254 <https://github.com/ros-perception/image_pipeline/issues/254>)
    * Fix according to calibrator.py API
    * Add approximate to cameracheck
  * Force first corner off chessboard to be uppler left.
    Fixes #140 <https://github.com/ros-perception/image_pipeline/issues/140>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * During stereo calibration check that the number of corners detected in the left and right images are the same. This fixes ros-perception/image_pipeline#225 <https://github.com/ros-perception/image_pipeline/issues/225>
  * Contributors: Leonard Gerard, Martin Peris, Vincent Rabaud, hgaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-indigo-camera-calibration (1.12.19-0trusty) trusty; urgency=high

  * Fix array check in camerachecky.py
    This closes #205 <https://github.com/ros-perception/image_pipeline/issues/205>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-indigo-camera-calibration (1.12.18-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-indigo-camera-calibration (1.12.17-0trusty) trusty; urgency=high

  * fix typo np -> numpy
  * fix failing tests
  * Contributors: Shingo Kitagawa, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-camera-calibration (1.12.16-0trusty) trusty; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-indigo-camera-calibration (1.12.15-0trusty) trusty; urgency=high

  * better 16 handling in mkgray
    This re-uses #150 <https://github.com/ros-perception/image_pipeline/issues/150> and therefore closes #150 <https://github.com/ros-perception/image_pipeline/issues/150>
  * fix OpenCV2 compatibility
  * fix tests with OpenCV3
  * [Calibrator]: add yaml file with calibration data in output
  * Contributors: Vincent Rabaud, sambrose

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-indigo-camera-calibration (1.12.14-0trusty) trusty; urgency=high

  * remove camera_hammer and install Python nodes properly
    camera_hammer was just a test for camera info, nothing to do with
    calibration. Plus the test was basic.
  * Correct three errors that prevented the node to work properly.
  * Contributors: Filippo Basso, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-indigo-camera-calibration (1.12.13-0trusty) trusty; urgency=high

  * replace Queue by deque of fixed size for simplicity
    That is a potential fix for #112 <https://github.com/ros-perception/image_pipeline/issues/112>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-indigo-camera-calibration (1.12.12-0trusty) trusty; urgency=high

  * try to improve #112 <https://github.com/ros-perception/image_pipeline/issues/112>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-indigo-camera-calibration (1.12.11-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-indigo-camera-calibration (1.12.10-0trusty) trusty; urgency=high

  * Update calibrator.py
    bugfix: stereo calibrator crashed after the signature of the method for the computation of the epipolar error changed but the function call was not updated
  * Contributors: Volker Grabe

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-indigo-camera-calibration (1.12.9-0trusty) trusty; urgency=high

  * fix bad Python
  * only analyze the latest image


=== debian/control ===
Source: ros-indigo-camera-calibration
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.5.68), ros-indigo-rostest
Homepage: http://www.ros.org/wiki/camera_calibration
Standards-Version: 3.9.2

Package: ros-indigo-camera-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-message-filters, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-srvs
Description: camera_calibration allows easy calibration of monocular or stereo cameras using a checkerboard calibration target.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-camera-calibration//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
